Subject: bug#13641: 24.3.50; `minibuffer-inactive-mode' - hook seems wrong

From: "Drew Adams" <[email-masked]>
Date: Wed, 6 Feb 2013 15:55:57 -0800

> (add-hook 'minibuffer-inactive-mode-hook #'make-frame-invisible)
>  
> This is how I started.  I was expecting the minibuffer frame to
> essentially stay hidden except when the minibuffer was activated.
>  
> With *Messages* selected, M-x makes *Messages* disappear.  Then C-g
> makes the minibuffer frame disappear and brings back *Messages*.

Thinking it might have something to do with the minibuffer level, I tried this:

(add-hook 'minibuffer-inactive-mode-hook
          (lambda ()
            (message "fr: %S, active: %S, depth: %S"
                     (selected-frame)
                     (active-minibuffer-window)
                     (minibuffer-depth))
            (unless (> (minibuffer-depth) 0)
              (make-frame-invisible))))

Then M-x followed by C-g works, but only every other time.
The inactive minibuffer reappears every other time (why?).

It reappears even when the message shows that the depth is 0 and the minibuffer
is inactive.